Package org.apache.calcite.avatica.remote

# Class Service.PrepareAndExecuteRequest

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Request
org.apache.calcite.avatica.remote.Service.PrepareAndExecuteRequest

Enclosing interface:
  Service

public static class Service.PrepareAndExecuteRequest extends Service.Request
Request for `Meta.prepareAndExecute(Meta.StatementHandle, String, long, int, Meta.PrepareCallback)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`
`final long`
`maxRowCount`
`final int`
`maxRowsInFirstFrame`
`final String`
`sql`
`final int`
`statementId`

## Constructor Summary

Constructors
Constructor
Description
`PrepareAndExecuteRequest(String connectionId, int statementId, String sql, long maxRowCount)`
`PrepareAndExecuteRequest(String connectionId, int statementId, String sql, long maxRowCount, int maxRowsInFirstFrame)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

### sql

public final String sql

### maxRowCount

public final long maxRowCount

### maxRowsInFirstFrame

public final int maxRowsInFirstFrame

### statementId

public final int statementId

## Constructor Details

### PrepareAndExecuteRequest

public PrepareAndExecuteRequest(String connectionId, int statementId, String sql, long maxRowCount)

### PrepareAndExecuteRequest

public PrepareAndExecuteRequest(String connectionId, int statementId, String sql, long maxRowCount, int maxRowsInFirstFrame)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`